%define uname   allegro
%define major   4.4
%define libname %mklibname %{uname} %{major}
%define	devname %mklibname %{uname}4 -d
%define	testlib %mklibname %{uname}-testing %{major}

Name:           allegro4
Version:        4.4.3.1
Release:        %mkrel 8
Summary:        Game programming library
Group:          System/Libraries
License:        Public Domain
URL:            https://liballeg.org/
Source0:        https://github.com/liballeg/allegro5/releases/download/%{version}/%{uname}-%{version}.tar.gz
Patch1:         allegro-4.0.3-cfg.patch
Patch2:         allegro-4.0.3-libdir.patch
Patch3:         allegro-4.4.2-doc-install.patch
Patch4:         allegro-4.4.2-buildsys-fix.patch
# gnome-shell starts apps while gnome-shell has the keyb grabbed...
Patch5:         allegro-4.4.2-keybgrab-fix.patch
# 4.4.3 has dropped the fadd/fsub etc aliases, but some apps need them
Patch6:         allegro-4.4.2-compat-fix-aliases.patch
Patch7:         https://src.fedoraproject.org/cgit/rpms/allegro.git/plain/allegro-4.4.3-datafile-double-free.patch
Patch8:         allegro4-cmake-4.0.patch

BuildRequires:  cmake
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(audiofile)
BuildRequires:  pkgconfig(glu)
BuildRequires:  pkgconfig(jack)
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(vorbis)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xcursor)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xpm)
BuildRequires:  pkgconfig(xxf86dga)
BuildRequires:  pkgconfig(xxf86vm)
BuildRequires:  texinfo
%ifarch %ix86
BuildRequires:  svgalib-devel
%endif
Obsoletes:      allegro-testing < 4.4.2-9
Provides:       allegro-testing = %{version}-%{release}
Obsoletes:      allegro-arts-plugin < 4.4.2-9
# Renamed to allegro4 during mga6 dev
Obsoletes:      allegro < 4.4.2-9
Provides:       allegro = %{version}-%{release}

%description
Allegro is a library of functions for use in computer games.

%package -n %{libname}
Summary:        Game programming library
Group:          System/Libraries
Provides:       lib%{uname} = %{version}-%{release}
Provides:       %{testlib} = %{version}-%{release}
Obsoletes:      %{testlib} < 4.4.2-9
Recommends:     %{name} >= %{version}

%description -n %{libname}
Allegro is a library of functions for use in computer games.

%package -n %{devname}
Summary:        Game programming library
Group:          Development/C++
Requires:       %{libname} = %{version}
Provides:       lib%{uname}-devel = %{version}-%{release}
Provides:       %{uname}-devel = %{version}-%{release}
Provides:       %{uname}4-devel = %{version}-%{release}
Provides:       %{testlib}-devel = %{version}-%{release}
Obsoletes:      allegro-devel < 4.4.2-9
Obsoletes:      %{testlib}-devel < 4.4.2-9
Obsoletes:      %{_lib}allegro4.2-devel < 4.4.2-9

%description -n %{devname}
Allegro is a library of functions for use in computer games.
This package contains files needed to build programs using Allegro.

%package jack-plugin
Summary:        Allegro JACK (Jack Audio Connection Kit) plugin
Group:          System/Libraries
Requires:       %{name} = %{version}-%{release}
# Renamed to allegro4 during mga6 dev
Obsoletes:      allegro-jack-plugin < 4.4.2-9
Provides:       allegro-jack-plugin = %{version}-%{release}

%description jack-plugin
This package contains a plugin for Allegro which enables Allegro to playback
sound through JACK (Jack Audio Connection Kit).

%prep
%autosetup -p1 -n %{uname}-%{version}

iconv -f iso-8859-1 -t utf-8 docs/src/allegro._tx > docs/src/allegro._tx.tmp
mv docs/src/allegro._tx.tmp docs/src/allegro._tx

%build
%ifnarch %{ix86}
export CFLAGS="%{optflags} -fPIC"
%endif

%cmake
%cmake_build

find demos examples setup -type f -perm +111 -print | xargs rm -rf

%install
%cmake_install

# (from fedora) installation of these is broken, because they use a cmake GLOB, but
# that gets "resolved" when runnning cmake, and at that time the files
# to install aren't generated yet ...
install -d -m 755 %{buildroot}%{_mandir}/man3
install -D -m 644 build/docs/man/*3* %{buildroot}%{_mandir}/man3
install -d -m 755 %{buildroot}%{_infodir}
install -D -m 644 allegro.cfg %{buildroot}%{_sysconfdir}/allegrorc
install -p -m 755 tools/x11/xfixicon.sh %{buildroot}%{_bindir}
install -d -m 755 %{buildroot}%{_datadir}/allegro
install -D -m 644 keyboard.dat language.dat %{buildroot}%{_datadir}/allegro
install -D -m 644 misc/allegro.m4 %{buildroot}%{_datadir}/aclocal/allegro.m4

# Include an internal header file with a reference that was made opaque in 4.4.3
# for compatibility with older software that expects it.
install -D -m 644 -p addons/logg/loggint.h %{buildroot}%{_includedir}/loggint.h

rm -rf %{buildroot}%{_prefix}/doc

%files
%doc %{_docdir}/%{uname}-4.4.3/*
%{_bindir}/colormap
%{_bindir}/dat
%{_bindir}/dat2c
%{_bindir}/dat2s
%{_bindir}/exedat
%{_bindir}/grabber
%{_bindir}/pack
%{_bindir}/pat2dat
%{_bindir}/rgbmap
%{_bindir}/textconv
%{_bindir}/xfixicon.sh
%{_datadir}/%{uname}/
%dir %{_libdir}/%{uname}
%dir %{_libdir}/%{uname}/4.4.3
%{_libdir}/%{uname}/4.4.3/alleg-alsadigi.so
%{_libdir}/%{uname}/4.4.3/alleg-alsamidi.so
%{_libdir}/%{uname}/4.4.3/alleg-dga2.so
%{_libdir}/%{uname}/4.4.3/modules.lst
%config(noreplace) %{_sysconfdir}/allegrorc

%files -n %{libname}
%{_libdir}/lib*.so.%{major}{,.*}

%files -n %{devname}
%doc *.txt
%doc docs/txt/abi.txt docs/txt/ahack.txt docs/txt/allegro.txt
%doc docs/txt/const.txt docs/txt/faq.txt docs/txt/help.txt
%doc docs/html
%doc demos examples setup
%{_bindir}/%{uname}-config
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*.h
%{_includedir}/%{uname}/
%{_includedir}/%{uname}gl/
%{_datadir}/aclocal/%{uname}.m4
%{_mandir}/man3/*.3*
%{_infodir}/%{uname}.info*

%files jack-plugin
%{_libdir}/%{uname}/4.4.3/alleg-jack.so


%changelog
* Wed Jul 02 2025 daviddavid <daviddavid> 4.4.3.1-8.mga10
+ Revision: 2237804
- fix build with cmake 4.0
+ umeabot <umeabot>
- Mageia 10 Mass Rebuild

* Wed Mar 30 2022 umeabot <umeabot> 4.4.3.1-7.mga9
+ Revision: 1835443
- Mageia 9 Mass Rebuild

* Tue Jan 12 2021 daviddavid <daviddavid> 4.4.3.1-6.mga8
+ Revision: 1671277
- fix dangling link (mga#28060)

* Thu Aug 20 2020 ovitters <ovitters> 4.4.3.1-5.mga8
+ Revision: 1616659
- remove install-info scriptlets, rely on filetrigger instead (mga#27107)

* Fri Mar 27 2020 danf <danf> 4.4.3.1-4.mga8
+ Revision: 1561111
- Package internal header loggint.h for compatibility

* Sat Feb 15 2020 daviddavid <daviddavid> 4.4.3.1-3.mga8
+ Revision: 1525896
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Sun Mar 24 2019 zezinho <zezinho> 4.4.3.1-2.mga7
+ Revision: 1379914
- fix data double free in liquidwar build

* Wed Mar 20 2019 zezinho <zezinho> 4.4.3.1-1.mga7
+ Revision: 1379295
- bugfix 4.4.3.1 version

* Mon Feb 18 2019 daviddavid <daviddavid> 4.4.3-1.mga7
+ Revision: 1368178
- new version: 4.4.3
- remove some merged upstream patches

* Sat Jan 26 2019 daviddavid <daviddavid> 4.4.2-13.mga7
+ Revision: 1360975
- add patch to fix build with Mesa 18.2.5 and later

* Sat Oct 06 2018 daviddavid <daviddavid> 4.4.2-12.mga7
+ Revision: 1318114
- fix PPC allegro app builds failing due to alcompat.h defining aliases for
  fadd / fdiv / fmull which conflict with system headers (#1582916, #1582917)

* Fri Sep 21 2018 umeabot <umeabot> 4.4.2-11.mga7
+ Revision: 1294290
- Mageia 7 Mass Rebuild

* Mon Mar 13 2017 akien <akien> 4.4.2-10.mga6
+ Revision: 1092262
- Fix name of devel package
- Explicitly provide allegro4-devel

* Sun Mar 12 2017 akien <akien> 4.4.2-9.mga6
+ Revision: 1092213
- Rename to allegro4, allegro will become the 5.x branch
- Copy allegro to allegro4 before moving the main branch to 5.x

* Fri Mar 25 2016 pterjan <pterjan> 4.4.2-8.mga6
+ Revision: 995538
- Fix release

* Fri Mar 25 2016 pterjan <pterjan> 4.4.2-7.mga6.mga6
+ Revision: 995520
- Small macros cleanup, that may be why it did not go through mass rebuild

* Thu Sep 10 2015 ovitters <ovitters> 4.4.2-6.mga6
+ Revision: 875660
+ rebuild (emptylog)

* Wed Nov 12 2014 akien <akien> 4.4.2-6.mga5
+ Revision: 796582
- Build alsa module

* Sat Sep 27 2014 tv <tv> 4.4.2-5.mga5
+ Revision: 725936
- rebuild for missing pythoneggs deps

* Mon Sep 15 2014 tv <tv> 4.4.2-4.mga5
+ Revision: 675553
- s/uggests:/Recommends:/

* Tue Dec 10 2013 zezinho <zezinho> 4.4.2-4.mga4
+ Revision: 556200
- fix build against mesa 10
+ dams <dams>
- clean specfile

* Wed Jul 24 2013 zezinho <zezinho> 4.4.2-3.mga4
+ Revision: 457825
- patches synced with fedora to enable loabpng, logg, jpgalleg libs #10616

* Fri Jan 11 2013 umeabot <umeabot> 4.4.2-2.mga3
+ Revision: 345511
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Aug 17 2011 fwang <fwang> 4.4.2-1.mga2
+ Revision: 134222
- new version 4.4.2

* Sat Feb 26 2011 alien <alien> 4.4.1.1-4.mga1
+ Revision: 61036
- Remove BuildRoot
- Remove old macros
- imported package allegro


* Wed Feb 02 2011 Funda Wang <fwang@mandriva.org> 4.4.1.1-3mdv2011.0
+ Revision: 634994
- rebuild
- tighten BR

* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 4.4.1.1-2mdv2011.0
+ Revision: 609968
- rebuild

* Thu Mar 18 2010 Emmanuel Andry <eandry@mandriva.org> 4.4.1.1-1mdv2010.1
+ Revision: 525103
- New version 4.4.1.1

* Thu Dec 31 2009 Emmanuel Andry <eandry@mandriva.org> 4.4.0.1-1mdv2010.1
+ Revision: 484572
- New version 4.4.0.1 (backward compatible with 4.2.x)
- rediff P4
- drop esd support (not build, dropped upstream ?)
- use cmake
- update files list

* Fri Dec 25 2009 Jérôme Brenier <incubusss@mandriva.org> 4.2.3-1mdv2010.1
+ Revision: 482185
- bugfix version 4.2.3
- drop P0, P1 and P3 (merged in the new source)
- fix url of sources

* Thu Sep 10 2009 Thierry Vignaud <tv@mandriva.org> 4.2.2-5mdv2010.0
+ Revision: 436639
- rebuild

* Mon Jan 26 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.2.2-4mdv2009.1
+ Revision: 333582
- compile with -fPIC for x86_64
- Patch4: fix build with -Werror=format-security
- disable arts plugin
- use %%define _disable_ld_no_undefined, --disable-asm on x86_64 has same effect

  + Emmanuel Andry <eandry@mandriva.org>
    - fix autoconf with P1 from gentoo
    - fix gcc43 build with P2 and P3 from fedora

  + Götz Waschk <waschk@mandriva.org>
    - fix devel package group

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Mar 11 2008 Frederic Crozat <fcrozat@mandriva.com> 4.2.2-3mdv2008.1
+ Revision: 186319
- lib package suggests main package, to get alsa plugin (Mdv bug #38436)

* Tue Jan 29 2008 Colin Guthrie <cguthrie@mandriva.org> 4.2.2-2mdv2008.1
+ Revision: 159681
- Apply upstream patch to handle unsigned samples in alsa (pulseaudio bug #113)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - buildrequires X11-devel instead of XFree86-devel

* Sat Oct 27 2007 Adam Williamson <awilliamson@mandriva.org> 4.2.2-1mdv2008.1
+ Revision: 102464
- whoops, use Mandriva group names for the plugin packages, not Fedora
- buildrequires texinfo
- fix a badly thought out %%if statement on the part of the previous packager, which led to no 'make' command being issued on x86-64...
- move non-library files from lib package to main package (obey lib policy)
- adopt a couple of things from Fedora:
  	+ convert man and info pages to UTF-8
  	+ package esound, arts and jack plugins separately to avoid unnecessary dependencies
- minor clean ups
- new devel policy
- new version 4.2.2
- import allegro


* Wed Jun 28 2006 Lenny Cartier <lenny@mandriva.com> 4.2.0-3mdv2007.0
- rebuild

* Fri Dec  2 2005 Götz Waschk <waschk@mandriva.org> 4.2.0-2mdk
- don't build with svgalib on x86_64

* Wed Nov 09 2005 Guillaume Bedot <littletux@mandriva.org> 4.2.0-0.1mdk
- 4.2 final release !
- dropped gcc4 patch (applied upstream)

* Tue Aug 09 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 4.2.0-0.beta4.1mdk
- as no packages no longer use 4.0, update to new 4.2 and merge with testing package
- build with jack and svgalib support too
- fix requires-on-release
- fix short-circuitting
- change major to 4.2 (wrong use of major in lib?)

* Sat Jul 30 2005 Guillaume Bedot <littletux@mandriva.org> 4.0.3-7mdk
- rebuild for cooker / 2006
- buildrequires on gcc3.3
- Patch0: asm patch from allegro-testing package

* Sat Dec 25 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 4.0.3-6mdk
- rebuild
- cosmetics

* Tue Aug 17 2004 Lenny Cartier <lenny@mandrakesoft.com> 4.0.3-5mdk
- rebuild

* Sat Jul 12 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 4.0.3-4mdk
- rebuild

* Mon Jun 16 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 4.0.3-3mdk
- buildrequires
- cosmetics

* Sun May 04 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 4.0.3-2mdk
- rebuild for rpm 4.2.0
- use %%mklibname for devel package too
- remove commented out configure stuff to satisfy rpmlint
- added man pages to devel package

* Fri Apr 25 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 4.0.3-1mdk
- 4.0.3 final

* Sat Mar 29 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 4.0.3-0.rc2.1mdk
- 4.0.3-rc2
- enable parallell builds as it works now
- rm -rf buildroot in install stage in stead of prep stage
- use macro for autoconf
- fix the usage of optimize flags
- use %%mklibname macro

* Sat Mar  8 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 4.0.3-0.rc1.1mdk
- 4.0.3-rc1

* Sun Dec 29 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 4.0.3-0.beta1.1mdk
- 4.0.3-beta1
- Fix Provides/Requires
- remove BuildRequires glibc-static

* Sun Dec 01 2002  Lenny Cartier <lenny@mandrakesoft.com> 4.0.2-3mdk
- fix file list

* Wed Jul 10 2002 Lenny Cartier <lenny@mandrakesoft.com> 4.0.2-2mdk
- update buildrequires 

* Mon Jul 08 2002 Lenny Cartier <lenny@mandrakesoft.com> 4.0.2-1mdk
- 4.0.2

* Mon Apr 08 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 4.0.1-2mdk
- let include in non-versioned dir

* Mon Apr 01 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 4.0.1-1mdk
- 4.0.1
- dropped patch
- moved allegro-config to devel package

* Mon Mar 11 2002 Lenny Cartier <lenny@mandrakesoft.com> 4.0.0-4mdk
- regenerate patch from Levi Ramsey to fix allegro.h

* Thu Mar 07 2002 Lenny Cartier <lenny@mandrakesoft.com> 4.0.0-3mdk
- fix(again) file section (thx Yannick Roehlly)

* Wed Jan 30 2002 Lenny Cartier <lenny@mandrakesoft.com>  4.0.0-2mdk
- fix files section

* Mon Dec 17 2001 Lenny Cartier <lenny@mandrakesoft.com>  4.0.0-1mdk
- 4.0.0

* Tue Oct 02 2001 Lenny Cartier <lenny@mandrakesoft.com>  3.9.38-1mdk
- 3.9.38

* Mon May 14 2001 Lenny Cartier <lenny@mandrakesoft.com>  3.9.36-1mdk
- updated to 3.9.36

* Wed Feb 28 2001 Lenny Cartier <lenny@mandrakesoft.com>  3.9.34-1mdk
- updated by Vlatko Kosturjak <kost@linux-mandrake.com> 3.9.34-1mdk
	- support for new version
	- removed patch
- use egcs

* Thu Jan 04 2001 David BAUDENS <baudens@mandrakesoft.com> 3.9.33-3mdk
- ExcludeArch: PPC
- Fix devel description
- Spec clean up

* Thu Jan 04 2001 Lenny Cartier <lenny@mandrakesoft.com> 3.9.33-2mdk
- rebuild

* Wed Sep 27 2000 Pixel <pixel@mandrakesoft.com> 3.9.33-1mdk
- initial spec
